Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.xmlet.jaxb
Interface XMLetType

All Known Implementing Classes:
  XMLetTypeImpl

public interface XMLetType

Java content class for XMLetType complex type.

The following schema fragment specifies the expected content contained within this java content object.

     <complexType name="XMLetType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ARGUMENTS" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="ARG" type="{}ArgType" maxOccurs="unbounded"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="ATTRIBUTES" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="ATTR" type="{}AttrType" maxOccurs="unbounded"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
           <attribute name="OBJECT" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="CODE" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="NAME" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="ARCHIVE" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="VERSION" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="CODEBASE" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Inner Class Summary
`static interface` | `XMLetType.ARGUMENTSType` Java content class for annonymous complex type.
`static interface` | `XMLetType.ATTRIBUTESType` Java content class for annonymous complex type.

Method Summary
`java.lang.String` | `getARCHIVE()`
`XMLetType.ARGUMENTSType` | `getARGUMENTS()`
`XMLetType.ATTRIBUTESType` | `getATTRIBUTES()`
`java.lang.String` | `getCODE()`
`java.lang.String` | `getCODEBASE()`
`java.lang.String` | `getNAME()`
`java.lang.String` | `getOBJECT()`
`java.lang.String` | `getVERSION()`
`void` | `setARCHIVE(java.lang.String value)`
`void` | `setARGUMENTS(XMLetType.ARGUMENTSType value)`
`void` | `setATTRIBUTES(XMLetType.ATTRIBUTESType value)`
`void` | `setCODE(java.lang.String value)`
`void` | `setCODEBASE(java.lang.String value)`
`void` | `setNAME(java.lang.String value)`
`void` | `setOBJECT(java.lang.String value)`
`void` | `setVERSION(java.lang.String value)`

Method Detail

### getCODE

    public java.lang.String getCODE()

### setCODE

    public void setCODE(java.lang.String value)

### getOBJECT

    public java.lang.String getOBJECT()

### setOBJECT

    public void setOBJECT(java.lang.String value)

### getARGUMENTS

    public XMLetType.ARGUMENTSType getARGUMENTS()

### setARGUMENTS

    public void setARGUMENTS(XMLetType.ARGUMENTSType value)

### getATTRIBUTES

    public XMLetType.ATTRIBUTESType getATTRIBUTES()

### setATTRIBUTES

    public void setATTRIBUTES(XMLetType.ATTRIBUTESType value)

### getCODEBASE

    public java.lang.String getCODEBASE()

### setCODEBASE

    public void setCODEBASE(java.lang.String value)

### getVERSION

    public java.lang.String getVERSION()

### setVERSION

    public void setVERSION(java.lang.String value)

### getNAME

    public java.lang.String getNAME()

### setNAME

    public void setNAME(java.lang.String value)

### getARCHIVE

    public java.lang.String getARCHIVE()

### setARCHIVE

    public void setARCHIVE(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD